PluginDumper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.util.PluginDumper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.util
Class PluginDumper

    java.lang.Object
      org.hyperic.hq.product.util.PluginDumper

Direct Known Subclasses:
  ProductPageDumper

    public class PluginDumper

extends java.lang.Object

Field Summary
`protected ControlPluginManager` | `cpm`
`protected ConfigTrackPluginManager` | `ctpm`
`protected LiveDataPluginManager` | `ldpm`
`protected LogTrackPluginManager` | `ltpm`
`protected MeasurementPluginManager` | `mpm`
`protected ProductPlugin[]` | `pPlugins`
`protected ProductPluginManager` | `ppm`

Constructor Summary
`PluginDumper()`
`PluginDumper(java.lang.String[] args)`
`PluginDumper(java.lang.String pdkDir, java.lang.String pluginDir)`

Method Summary
`void` | `fetchMetrics(java.lang.String pluginName, boolean translateOnly)`
`boolean` | `fetchMetrics(TypeInfo type, boolean translateOnly, ConfigResponse config)`
`protected MeasurementPlugin` | `getMeasurementPlugin(TypeInfo info)`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defVal)`
`static void` | `help(java.lang.String msg)`
`void` | `init()`
`void` | `invoke()`
`void` | `shutdown()`
`void` | `testControl(java.lang.String pluginName)`
`void` | `testDiscovery()`
`void` | `testLiveData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ppm

    protected ProductPluginManager ppm

### mpm

    protected MeasurementPluginManager mpm

### cpm

    protected ControlPluginManager cpm

### ldpm

    protected LiveDataPluginManager ldpm

### ltpm

    protected LogTrackPluginManager ltpm

### ctpm

    protected ConfigTrackPluginManager ctpm

### pPlugins

    protected ProductPlugin[] pPlugins

Constructor Detail

### PluginDumper

    public PluginDumper()

### PluginDumper

    public PluginDumper(java.lang.String pdkDir,
                        java.lang.String pluginDir)

### PluginDumper

    public PluginDumper(java.lang.String[] args)

Method Detail

### help

    public static void help(java.lang.String msg)

### init

    public void init()
              throws PluginException

  Throws:
    `PluginException`

### shutdown

    public void shutdown()

### invoke

    public void invoke()
                throws PluginException,
                       java.io.IOException

  Throws:
    `PluginException`
    `java.io.IOException`

### getProperties

    public java.util.Properties getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defVal)

### fetchMetrics

    public boolean fetchMetrics(TypeInfo type,
                                boolean translateOnly,
                                ConfigResponse config)
                         throws PluginException

  Throws:
    `PluginException`

### fetchMetrics

    public void fetchMetrics(java.lang.String pluginName,
                             boolean translateOnly)
                      throws PluginException

  Throws:
    `PluginException`

### testControl

    public void testControl(java.lang.String pluginName)
                     throws PluginException

  Throws:
    `PluginException`

### testLiveData

    public void testLiveData()
                      throws PluginException

  Throws:
    `PluginException`

### testDiscovery

    public void testDiscovery()

### getMeasurementPlugin

    protected MeasurementPlugin getMeasurementPlugin(TypeInfo info)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.